Skip to main content
POST
/
advertisers
/
{advertiserId}
/
syndicate
Toggle syndication for a resource
curl --request POST \
  --url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/syndicate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resourceId": "<string>",
  "adcpAgentIds": [
    "<string>"
  ],
  "enabled": true
}
'
{
  "data": [
    {
      "id": "1",
      "customerId": 0,
      "seatId": "12345",
      "resourceId": "<string>",
      "audienceId": "1",
      "eventSourceId": "<string>",
      "catalogId": "<string>",
      "adcpAgentId": "42",
      "adcpAgentAccountId": "<string>",
      "enabled": true,
      "errorMessage": "<string>",
      "responseData": "<unknown>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "completedAt": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

advertiserId
string
required

Unique identifier for the advertiser

Minimum string length: 1
Example:

"12345"

Body

application/json
resourceType
enum<string>
required
Available options:
AUDIENCE,
EVENT_SOURCE,
CATALOG
resourceId
string
required
Minimum string length: 1
adcpAgentIds
string[]
required
Minimum array length: 1
Minimum string length: 1
enabled
boolean
required

Response

Toggle syndication for a resource

Response after toggling syndication for one or more ADCP agents

data
object[]
required